INTERFACE
SUBROUTINE COMMSPNORM1(KFIELDSL,KFIELDSG,PMLOCAL,PMGLOBAL,KSMAX,KIOMASTER,&
 & KSETV,KLOC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NUMP
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDSL
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDSG
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
REAL(KIND=JPRB) ,INTENT(IN) :: PMLOCAL(KFIELDSL,NUMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMGLOBAL(KFIELDSG,0:KSMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KIOMASTER
INTEGER(KIND=JPIM),INTENT(IN) :: KSETV(KFIELDSG)
INTEGER(KIND=JPIM),INTENT(IN) :: KLOC(KFIELDSG)
END SUBROUTINE COMMSPNORM1
END INTERFACE
